Table of Contents

## Name

XvGetPortAttribute - return current port attribute value

## Syntax

#include <X11/extensions/Xvlib.h>

XvGetPortAttribute(dpy, port, attribute, p_value)

Display *dpy;
XvPortID port;
Atom attribute;
int *p_value;

## Arguments

dpy
  Specifies the display screen on which the X Server is to accept requests from X clients. If the display option is not specified, X uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.
port
  Specifies the port, associated with the given display, for which the attribute values are to be returned.
attribute
  An atom that identifies the attribute to be queried by this request. Control atoms are obtained using the XInternAtom request with a string from the following table.
p_value
  Pointer to the location where the attribute value is written on return.

## Description

XvGetPortAttribute(3X) returns the current value of the requested port attribute in the integer pointed to by p_value. The attribute is identified using an Atom that equates to the attribute name. The XInternAtom request can be used with one of the strings below to return a matching Atom.

    Attribute String        Type             Default
    "XV_ENCODING"           XvEncodingID     Server dependent
    "XV_HUE"                [-1000...1000]   0
    "XV_SATURATION"         [-1000...1000]   0
    "XV_BRIGHTNESS"         [-1000...1000]   0
    "XV_CONTRAST"           [-1000...1000]   0

## Returned Values

[Success]
  Returned if XvGetPortAttribute(3X) completed successfully.
[XvBadExtension]
  Returned if the Xv extension is unavailable.
[XvBadAlloc]
  Returned if XvGetPortAttribute(3X) failed to allocate memory to process the request.

## Diagnostics

[XvBadPort]
  Generated if the requested port does not exist.
[BadMatch]
  Generated if the requested attribute atom does not specify an attribute supported by the adaptor.

## See Also

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Returned Values
- Diagnostics
- See Also